Subject: Re: [PATCH v3 3/3] news: Add entry for changes in GNOME 44 and its desktop service.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 27 Feb 2024 06:19:55 +0100

Am Montag, dem 26.02.2024 um 21:28 +0100 schrieb Vivien Kraus:
> Le lundi 26 février 2024 à 20:46 +0100, Liliana Marie Prikler a
> écrit :
> > + (entry (commit "523f3def65ab061a87f4fc9e6f9008e6a78fafb5")
> > +        (title
> > +         (en "GNOME updated to version 44 with a more modular
> > desktop service")
> Wouldn’t it be more precise to say “system service” instead of
> “desktop service”?
> 
> > +         (de "GNOME auf Version 44 aktualisiert mit modularem
> > Dienst"))
> 
> Suggested fr translation with “system service”: "Mise à jour de GNOME
> en version 44 avec un service système plus modulaire"
> (remove “système” if “system service” is not relevant)
system-service is indeed not relevant, because I was hinting at the
"desktop" in gnome-desktop-service-type.

> > +        (body
> > +         (en "The @code{gnome-desktop-service-type} now
> > differentiates between
> > +shell, utilities, and extra-packages among other fields to bring
> > more structure
> > +in its configuration.
> > +
> > +With the update to GNOME 44, some extensions have been deprecated
> > and others
> > +removed.  If any @code{gnome-shell-extension-...} package causes
> > an
> > error while
> > +running your usual update routine, make sure to remove it from
> > your
> > profile.")
> (Ah yes, this is very important.)
> 
> Since it is Texinfo, maybe you could use @dots{} instead of “...”.
Not sure if that works recursively.

> I would also write: “some shell extensions have been deprecated…”
> instead of “some extensions have been deprecated…”, so the error
> message will look more familiar. 
Sure.

> Since the fields are actual record fields, maybe they can be marked
> up with @code{}?
Good hint.

> Suggested fr: "Le service @code{gnome-desktop-service-type} sépare
> maintenant les paquets @code{shell}, @code{utilities} et @code{extra-
> packages} (entre autres) pour donner plus de structure à sa
> configuration.
> 
> Pendant la mise à jour vers GNOME 44, certaines extensions du shell
> ont
> été dépréciées et d’autres supprimées. Si un paquet nommé
> @code{gnome-shell-extension-@dots{}} émet une erreur quand vous
> effectuez la mise à jour, vous devriez l’enlever de votre profil."
Have you checked how that renders?

Cheers